> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api.alsona.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://api.alsona.com/_mcp/server.

# Update thread

PUT https://alsona.com/rest/accounts/{account_id}/seats/{seat_id}/inbox/linkedin/threads/{thread_id}
Content-Type: application/json

Update Linkedin thread.

Reference: https://api.alsona.com/api-reference/inbox/linkedin/threads/update-thread

## Authentication

- `X-API-KEY` header (required) — API Key authentication via header

## Request

### Path parameters

- `account_id` (string, required)
- `seat_id` (string, required)
- `thread_id` (string, required)

### Body (application/json)

This endpoint expects an object.

- `labels` (list of any, optional)
- `read` (boolean, optional)
- `archived` (boolean, optional)

## Response

### 200

Successful response

- `success` (boolean, required)
- `thread` (LinkedInThread, optional)

## Types

### LinkedInThread

- `seat_id` (string, optional)
- `thread_id` (string, optional)
- `account_id` (string, optional)
- `type` (enum, optional)
  - Allowed values: `profile`, `company`
- `ln_profile_id` (string, optional)
- `campaign_ids` (list of any, optional)
- `first_name` (string, optional)
- `last_name` (string, optional)
- `job_title` (string, optional)
- `ln_headline` (string, optional)
- `ln_degree` (double, optional)
- `ln_inbox` (enum, optional)
  - Allowed values: `LP`, `SN`, `RP`
- `ln_conversation_title` (string, optional)
- `ln_conversation_url` (string, optional)
- `agent_outreach_mode` (enum, optional)
  - Allowed values: `auto`, `manual`
- `labels` (list of any, optional)
- `sentiment` (enum, optional)
  - Allowed values: `positive`, `neutral`, `negative`
- `sentiment_updated_at` (double, optional)
- `sentiment_by_campaign` (LinkedInThreadSentimentByCampaign, optional)
- `archived` (boolean, optional)
- `read` (boolean, optional)
- `ai_stopped_at` (double, optional)
- `last_message_at` (double, optional)
- `created_at` (double, optional)
- `updated_at` (double, optional)

### LinkedInThreadSentimentByCampaign

## Examples

### Response

**Response**

```json
{
  "success": true,
  "thread": {
    "seat_id": "SEATXXXXXXXXXXXXXXXXXXXX",
    "thread_id": "2-XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX==",
    "account_id": "ACCOXXXXXXXXXXXXXXXXXXXX",
    "ln_profile_id": "ACoAAXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "campaign_ids": [
      "CAMPXXXXXXXXXXXXXXXXXXXX"
    ],
    "first_name": "Jane",
    "last_name": "Doe",
    "ln_headline": "VP Sales at Example Inc",
    "ln_degree": 1,
    "ln_inbox": "LP",
    "labels": [],
    "sentiment": "positive",
    "archived": false,
    "read": true,
    "last_message_at": 1768245126077,
    "created_at": 1768248673645,
    "updated_at": 1768414884828
  }
}
```

**SDK Code**

```python Response
import requests

url = "https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/linkedin/threads/thread_id"

headers = {"X-API-KEY": "<apiKey>"}

response = requests.put(url, headers=headers)

print(response.json())
```

```javascript Response
const url = 'https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/linkedin/threads/thread_id';
const options = {method: 'PUT', headers: {'X-API-KEY': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/linkedin/threads/thread_id"

	req, _ := http.NewRequest("PUT", url, nil)

	req.Header.Add("X-API-KEY", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response
require 'uri'
require 'net/http'

url = URI("https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/linkedin/threads/thread_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["X-API-KEY"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/linkedin/threads/thread_id")
  .header("X-API-KEY", "<apiKey>")
  .asString();
```

```php Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/linkedin/threads/thread_id', [
  'headers' => [
    'X-API-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Response
using RestSharp;

var client = new RestClient("https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/linkedin/threads/thread_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("X-API-KEY", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Response
import Foundation

let headers = ["X-API-KEY": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/linkedin/threads/thread_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Inbox_Linkedin_Threads_Update thread_example

**Request**

```json
{
  "labels": [
    "inbox-leads"
  ],
  "read": true
}
```

**Response**

```json
{
  "success": true,
  "thread": {
    "seat_id": "SEATXXXXXXXXXXXXXXXXXXXX",
    "thread_id": "2-XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX==",
    "account_id": "ACCOXXXXXXXXXXXXXXXXXXXX",
    "ln_profile_id": "ACoAAXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "campaign_ids": [
      "CAMPXXXXXXXXXXXXXXXXXXXX"
    ],
    "first_name": "Jane",
    "last_name": "Doe",
    "ln_headline": "VP Sales at Example Inc",
    "ln_degree": 1,
    "ln_inbox": "LP",
    "labels": [],
    "sentiment": "positive",
    "archived": false,
    "read": true,
    "last_message_at": 1768245126077,
    "created_at": 1768248673645,
    "updated_at": 1768414884828
  }
}
```

**SDK Code**

```python Inbox_Linkedin_Threads_Update thread_example
import requests

url = "https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/linkedin/threads/thread_id"

payload = {
    "labels": ["inbox-leads"],
    "read": True
}
headers = {
    "X-API-KEY": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Inbox_Linkedin_Threads_Update thread_example
const url = 'https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/linkedin/threads/thread_id';
const options = {
  method: 'PUT',
  headers: {'X-API-KEY': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"labels":["inbox-leads"],"read":true}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Inbox_Linkedin_Threads_Update thread_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/linkedin/threads/thread_id"

	payload := strings.NewReader("{\n  \"labels\": [\n    \"inbox-leads\"\n  ],\n  \"read\": true\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("X-API-KEY", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Inbox_Linkedin_Threads_Update thread_example
require 'uri'
require 'net/http'

url = URI("https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/linkedin/threads/thread_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["X-API-KEY"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"labels\": [\n    \"inbox-leads\"\n  ],\n  \"read\": true\n}"

response = http.request(request)
puts response.read_body
```

```java Inbox_Linkedin_Threads_Update thread_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/linkedin/threads/thread_id")
  .header("X-API-KEY", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"labels\": [\n    \"inbox-leads\"\n  ],\n  \"read\": true\n}")
  .asString();
```

```php Inbox_Linkedin_Threads_Update thread_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/linkedin/threads/thread_id', [
  'body' => '{
  "labels": [
    "inbox-leads"
  ],
  "read": true
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Inbox_Linkedin_Threads_Update thread_example
using RestSharp;

var client = new RestClient("https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/linkedin/threads/thread_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("X-API-KEY", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"labels\": [\n    \"inbox-leads\"\n  ],\n  \"read\": true\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Inbox_Linkedin_Threads_Update thread_example
import Foundation

let headers = [
  "X-API-KEY": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "labels": ["inbox-leads"],
  "read": true
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/linkedin/threads/thread_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```